## libr 1.0.1

=== DESCRIPTION ===
Package: libr
Type: Package
Title: Libraries, Data Dictionaries, and a Data Step for R
Version: 1.0.1
Author: David J. Bosak
Maintainer: David Bosak <dbosak01@gmail.com>
Description: Contains a set of functions to create data libraries,
    generate data dictionaries, and simulate a data step.
    The libname() function will load a directory of data into 
    a library in one line of code.  The dictionary() function
    will generate data dictionaries for individual
    data frames or an entire library.  And the datestep() function
    will perform row-by-row data processing.
License: CC0
Encoding: UTF-8
LazyData: true
URL: https://github.com/dbosak01/libr
BugReports: https://github.com/dbosak01/libr/issues
Depends: R (>= 4.0.0)
Suggests: testthat, knitr, rmarkdown, foreign, magrittr
Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools
RoxygenNote: 7.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-12-07 06:16:59 UTC; User
Repository: CRAN
Date/Publication: 2020-12-09 09:00:02 UTC

## libr 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.0.1
+Version: 1.1.1
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -14,14 +14,14 @@
 License: CC0
 Encoding: UTF-8
 LazyData: true
-URL: https://github.com/dbosak01/libr
+URL: https://libr.r-sassy.org
 BugReports: https://github.com/dbosak01/libr/issues
 Depends: R (>= 4.0.0)
-Suggests: testthat, knitr, rmarkdown, foreign, magrittr
+Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-12-07 06:16:59 UTC; User
+Packaged: 2021-01-06 19:03:22 UTC; User
 Repository: CRAN
-Date/Publication: 2020-12-09 09:00:02 UTC
+Date/Publication: 2021-01-06 22:20:07 UTC

## libr 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.1.1
+Version: 1.1.3
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -22,6 +22,6 @@
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-01-06 19:03:22 UTC; User
+Packaged: 2021-02-08 14:26:10 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2021-01-06 22:20:07 UTC
+Date/Publication: 2021-02-08 17:10:06 UTC

## libr 1.2.0

=== DESCRIPTION ===
Package: libr
Type: Package
Title: Libraries, Data Dictionaries, and a Data Step for R
Version: 1.2.0
Author: David J. Bosak
Maintainer: David Bosak <dbosak01@gmail.com>
Description: Contains a set of functions to create data libraries,
    generate data dictionaries, and simulate a data step.
    The libname() function will load a directory of data into 
    a library in one line of code.  The dictionary() function
    will generate data dictionaries for individual
    data frames or an entire library.  And the datestep() function
    will perform row-by-row data processing.
License: CC0
Encoding: UTF-8
URL: https://libr.r-sassy.org
BugReports: https://github.com/dbosak01/libr/issues
Depends: R (>= 3.6.0)
Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr
Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
        Rcpp, data.table
RoxygenNote: 7.1.1
VignetteBuilder: knitr
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2021-06-29 01:45:00 UTC; dbosa
Repository: CRAN
Date/Publication: 2021-06-29 07:20:02 UTC

## libr 1.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.0
+Version: 1.2.1
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -16,13 +16,14 @@
 URL: https://libr.r-sassy.org
 BugReports: https://github.com/dbosak01/libr/issues
 Depends: R (>= 3.6.0)
-Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr
+Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr,
+        covr, fmtr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
         Rcpp, data.table
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2021-06-29 01:45:00 UTC; dbosa
+Packaged: 2021-10-09 19:23:47 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2021-06-29 07:20:02 UTC
+Date/Publication: 2021-10-09 20:10:02 UTC

## libr 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.1
+Version: 1.2.2
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2021-10-09 19:23:47 UTC; dbosa
+Packaged: 2021-11-22 21:42:34 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2021-10-09 20:10:02 UTC
+Date/Publication: 2021-11-22 22:20:03 UTC

## libr 1.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.2
+Version: 1.2.3
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -20,10 +20,10 @@
         covr, fmtr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
         Rcpp, data.table
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2021-11-22 21:42:34 UTC; dbosa
+Packaged: 2022-06-23 18:12:14 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2021-11-22 22:20:03 UTC
+Date/Publication: 2022-06-23 18:50:02 UTC

## libr 1.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.3
+Version: 1.2.5
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -15,7 +15,7 @@
 Encoding: UTF-8
 URL: https://libr.r-sassy.org
 BugReports: https://github.com/dbosak01/libr/issues
-Depends: R (>= 3.6.0)
+Depends: R (>= 3.6.0), common
 Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr,
         covr, fmtr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2022-06-23 18:12:14 UTC; dbosa
+Packaged: 2022-08-08 11:48:25 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2022-06-23 18:50:02 UTC
+Date/Publication: 2022-08-08 12:20:02 UTC

## libr 1.2.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.5
+Version: 1.2.8
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2022-08-08 11:48:25 UTC; dbosa
+Packaged: 2022-09-08 11:24:01 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2022-08-08 12:20:02 UTC
+Date/Publication: 2022-09-08 12:02:56 UTC

## libr 1.2.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.8
+Version: 1.2.9
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -20,10 +20,10 @@
         covr, fmtr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
         Rcpp, data.table
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2022-09-08 11:24:01 UTC; dbosa
+Packaged: 2023-11-17 19:34:55 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2022-09-08 12:02:56 UTC
+Date/Publication: 2023-11-17 20:30:03 UTC

## libr 1.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.2.9
+Version: 1.3.0
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -15,15 +15,15 @@
 Encoding: UTF-8
 URL: https://libr.r-sassy.org
 BugReports: https://github.com/dbosak01/libr/issues
-Depends: R (>= 3.6.0), common
+Depends: R (>= 3.6.0), common (>= 1.1.0)
 Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr,
         covr, fmtr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
         Rcpp, data.table
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2023-11-17 19:34:55 UTC; dbosa
+Packaged: 2024-02-11 04:26:15 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2023-11-17 20:30:03 UTC
+Date/Publication: 2024-02-11 05:30:02 UTC

## libr 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.0
+Version: 1.3.1
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -13,7 +13,7 @@
     will perform row-by-row data processing.
 License: CC0
 Encoding: UTF-8
-URL: https://libr.r-sassy.org
+URL: https://libr.r-sassy.org, https://github.com/dbosak01/libr
 BugReports: https://github.com/dbosak01/libr/issues
 Depends: R (>= 3.6.0), common (>= 1.1.0)
 Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-02-11 04:26:15 UTC; dbosa
+Packaged: 2024-03-07 15:10:52 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2024-02-11 05:30:02 UTC
+Date/Publication: 2024-03-07 15:40:02 UTC

## libr 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.1
+Version: 1.3.2
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-03-07 15:10:52 UTC; dbosa
+Packaged: 2024-04-16 12:22:56 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2024-03-07 15:40:02 UTC
+Date/Publication: 2024-04-16 12:50:02 UTC

## libr 1.3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.2
+Version: 1.3.3
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-04-16 12:22:56 UTC; dbosa
+Packaged: 2024-05-25 12:16:36 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2024-04-16 12:50:02 UTC
+Date/Publication: 2024-05-25 12:40:03 UTC

## libr 1.3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.3
+Version: 1.3.4
 Author: David J. Bosak
 Maintainer: David Bosak <dbosak01@gmail.com>
 Description: Contains a set of functions to create data libraries,
@@ -24,6 +24,6 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-05-25 12:16:36 UTC; dbosa
+Packaged: 2024-07-19 17:15:16 UTC; dbosa
 Repository: CRAN
-Date/Publication: 2024-05-25 12:40:03 UTC
+Date/Publication: 2024-07-19 17:40:02 UTC

## libr 1.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.4
-Author: David J. Bosak
+Version: 1.3.7
 Maintainer: David Bosak <dbosak01@gmail.com>
+Authors@R: c( 
+    person("David", "Bosak", email = "dbosak01@gmail.com", role = c("aut", "cre")),
+    person("Brian", "Varney", email = "brian.varney@experis.com", role = "ctb"),
+    person("Archytas Clinical Solutions", role = "cph")
+    )
 Description: Contains a set of functions to create data libraries,
     generate data dictionaries, and simulate a data step.
     The libname() function will load a directory of data into 
@@ -19,11 +23,14 @@
 Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr,
         covr, fmtr
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
-        Rcpp, data.table
-RoxygenNote: 7.3.1
+        Rcpp, data.table, nanoparquet
+RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-07-19 17:15:16 UTC; dbosa
+Packaged: 2024-11-06 18:56:08 UTC; dbosa
+Author: David Bosak [aut, cre],
+  Brian Varney [ctb],
+  Archytas Clinical Solutions [cph]
 Repository: CRAN
-Date/Publication: 2024-07-19 17:40:02 UTC
+Date/Publication: 2024-11-06 19:20:02 UTC

## libr 1.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.7
+Version: 1.3.8
 Maintainer: David Bosak <dbosak01@gmail.com>
 Authors@R: c( 
     person("David", "Bosak", email = "dbosak01@gmail.com", role = c("aut", "cre")),
@@ -21,16 +21,16 @@
 BugReports: https://github.com/dbosak01/libr/issues
 Depends: R (>= 3.6.0), common (>= 1.1.0)
 Suggests: testthat, knitr, rmarkdown, foreign, magrittr, utils, logr,
-        covr, fmtr
+        covr, fmtr, nanoparquet
 Imports: readr, readxl, haven, openxlsx, crayon, dplyr, tibble, tools,
-        Rcpp, data.table, nanoparquet
+        Rcpp, data.table
 RoxygenNote: 7.3.2
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-11-06 18:56:08 UTC; dbosa
+Packaged: 2024-12-13 13:44:43 UTC; dbosa
 Author: David Bosak [aut, cre],
   Brian Varney [ctb],
   Archytas Clinical Solutions [cph]
 Repository: CRAN
-Date/Publication: 2024-11-06 19:20:02 UTC
+Date/Publication: 2024-12-13 14:10:02 UTC

## libr 1.3.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: libr
 Type: Package
 Title: Libraries, Data Dictionaries, and a Data Step for R
-Version: 1.3.8
+Version: 1.3.9
 Maintainer: David Bosak <dbosak01@gmail.com>
 Authors@R: c( 
     person("David", "Bosak", email = "dbosak01@gmail.com", role = c("aut", "cre")),
@@ -28,9 +28,9 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 NeedsCompilation: yes
-Packaged: 2024-12-13 13:44:43 UTC; dbosa
+Packaged: 2025-01-12 20:18:49 UTC; dbosa
 Author: David Bosak [aut, cre],
   Brian Varney [ctb],
   Archytas Clinical Solutions [cph]
 Repository: CRAN
-Date/Publication: 2024-12-13 14:10:02 UTC
+Date/Publication: 2025-01-12 20:50:02 UTC

## libr 14.1.4

=== debian/changelog ===
libr (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libr

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

libr (4:0.6.0-2debian8.0.0+6~d) jessie; urgency=low

  * Fix mangling of a critical elf library section on armhf

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 30 Mar 2014 06:04:00 -0600

libr (4:0.6.0-1debian7.0.0+0) wheezy; urgency=low

  * Fix FTBFS due to force build architecture
  * Changes pulled into a separate patches
  * Switch to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Nov 2013 14:43:31 +0100

libr (4:0.6.0-0ubuntu4~quantal) quantal; urgency=low

  * Fix FTBFS on Ubuntu Quantal

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 12 Sep 2012 15:03:00 -0600

libr (4:0.6.0-0ubuntu3~quantal) quantal; urgency=low

  * Fix crash on accessing malformed icon

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 02 Jan 2012 02:18:00 -0600

libr (4:0.6.0-0ubuntu2~lucid) lucid; urgency=low

  * Fix armel builds

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 01 Jan 2012 02:12:00 -0600

libr (4:0.6.0-0ubuntu1~lucid) lucid; urgency=low

  * Fix stack smashing in edit mode

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 31 Dec 2011 20:42:00 -0600

libr (4:0.6.0-0ubuntu0~lucid) lucid; urgency=low

  * Initial upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 30 Dec 2011 16:20:00 -0600

=== debian/control ===
Source: libr
Priority: extra
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, pkg-config, libgtk2.0-dev, binutils-dev, doxygen
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.compholio.com/elficon/

Package: libr1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ELF binary resource library
 Store and retrieve resources from ELF binaries.

Package: libr-dev
Section: libdevel
Architecture: any
Depends: libr1 (= ${binary:Version})
Description: ELF binary resource library
 Store and retrieve resources from ELF binaries.

## libr 14.1.5

=== debian/changelog ===
libr (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libr

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 03 Oct 2025 10:50:33 +0200
